FLVTOOL2(1)

NAME
flvtool - a manipulation tool for flash video files

SYNOPSIS
flvtool [-ACDPUVaciklnoprstvx]...[-key:value]...in-path|stdin[out-path|stdout]

DESCRIPTION
If out-path is omitted, in-path will be overwritten. In-path can be a single file, or a directory. If in-path is a directory, out-path has to be likewise, or can be omitted. Directory recursion is controlled by the -r switch. You can use stdin and stdout keywords as in- and out-path for piping or redirecting. Chain commands like that: -UP (updates FLV file than prints out meta data)

COMMANDS

-A  Adds tags from -t tags-file

-C  Cuts file using -i inpoint and -o outpoint

-D  Debugs file (writes a lot to stdout)

-H  Helpscreen will be shown

-P  Prints out meta data to stdout

-U  Updates FLV with an onMetaTag event

SWITCHES

-a  Collapse space between cut regions

-c  Compatibility mode calculates some onMetaTag values differently

-key:value
    Key-value-pair for onMetaData tag (overwrites generated values)

-i timestamp
    Inpoint for cut command in miliseconds

-k  Keyframe mode slides onCuePoint(navigation) tags added by the add command to nearest keyframe position

-l  Logs FLV stream reading to stream.log in current directory

-n  Number of tag to debug

-o timestamp
    Outpoint for cut command in miliseconds

-p  Preserve mode only updates FLVs that have not been processed before

-r  Recursion for directory processing

-s  Simulation mode never writes FLV data to out-path

-t path
    Tagfile (MetaTags written in XML)

-v  Verbose mode

-x  XML mode instead of YAML mode

SEE ALSO
http://www.inlet-media.de/flvtool2

AUTHOR
flvtool was written by Norman Timmler <norman.timmler@inlet-media.de>

This manual page was written by Todd Troxell <ttroxell@debian.org>, for the Debian project (but may be used by others).